Subject: bug#18183: 24.3; table-fixed-width-mode fails with kill/yank

From: Boruch Baum <[email-masked]>
Date: Thu, 10 Dec 2020 02:04:34 -0500

On 2020-12-09 20:35, Lars Ingebrigtsen wrote:
> Boruch Baum <[email-masked]> writes:
>
> > My understanding is that at this point we have four outstanding problems:
> >
> > 1) We are both reporting that the bug is fixed when editing a table.el
> >    table outside or org-mode, *BUT* we are reporting conflicting results
> >    when using the patch in an org-mode C-c ' editing session: I'm
> >    reporting that the bug remains and you're reporting that the bug is
> >    fixed there also.
>
> That's what I seemed to see when I tried it, but perhaps we're doing it
> in different ways.  What's your recipe to reproduce the bug?

The original recipe reported earlier in the thread.

> > 2) You do agree that in that the org-mode edit buffer loses the state of
> >    table-fixed-width-mode from the parent buffer, and needs to be
> >    manually set. This is a bug; it should remember its state.
>
> I'm not sure -- the editing happens in a different buffer, and toggling
> it just there might make sense.  But I have no opinion, really.

I'm opinionated. I don't want to need to repeatedly perform the
operation each time within a single emacs session that I return to edit
the same table.

> > 3) We are both reporting another secondary bug that when
> >    table-fixed-width-mode is nil, an org-mode edit will incorrectly
> >    line-wrap small words, ie maintain fixed-width cells even though
> >    table-fixed-width-mode is nil.
>
> That's not a bug -- table-fixed-width-mode is only about wrapping long
> words, and should have no effect at all on short words, one way or
> another.  (And it doesn't seem to have.)

From the docstring: "Cell width is fixed when this is non-nil. Normally
it should be nil for allowing automatic cell width expansion that widens
a cell when it is necessary...". The specific case of wrapping long
lines is just an example, and is mentioned to discuss the related
defcustom variable.

> > 4) We haven't committed the patch yet for the secondary bug that POINT
> >    was returning properly after an aborted org-mode edit session.
>
> I think I've forgotten what that bug was about.  :-)

That's what the thread is for! Hint: It was what you asked Michael and
Bastien to comment on...

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0